%{?nodejs_find_provides_and_requires}

%global packagename ava
%global enable_tests 0

Name:		nodejs-ava
Version:	0.19.1
Release:	1%{?dist}
Summary:	Futuristic test runner 🚀

License:	MIT
URL:		https://github.com/sindresorhus/ava
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	docs-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(co-with-promise)
BuildRequires:	npm(core-assert)
BuildRequires:	npm(deeper)
BuildRequires:	npm(empower-core)
BuildRequires:	npm(fn-name)
BuildRequires:	npm(is-generator-fn)
BuildRequires:	npm(is-promise)
BuildRequires:	npm(max-timeout)
BuildRequires:	npm(observable-to-promise)
BuildRequires:	npm(option-chain)
BuildRequires:	npm(serialize-error)
%if 0%{?enable_tests}
BuildRequires:	npm(common-path-prefix)
BuildRequires:	npm(figures)
BuildRequires:	npm(rimraf)
BuildRequires:	npm(tap)
BuildRequires:	npm(tape)
BuildRequires:	npm(unique-temp-dir)
%endif

%description
Futuristic test runner 🚀


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

sed -i '1s/env //' cli.js

%nodejs_fixdep -r @ava/babel-preset-stage-4
%nodejs_fixdep -r @ava/babel-preset-transform-test-files
%nodejs_fixdep -r @ava/pretty-format

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/cli.js \
    %{buildroot}%{_bindir}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%{_bindir}/tape test/*.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}
%{_bindir}/ava


%changelog
* Wed Apr 19 2017 Jared Smith <jsmith@fedoraproject.org> - 0.19.1-1
- Update to upstream 0.19.1 release

* Mon Feb 15 2016 Jared Smith <jsmith@fedoraproject.org> - 0.11.0-1
- Update to upstream 0.11.0 release

* Mon Nov  9 2015 Jared Smith <jsmith@fedoraproject.org> - 0.4.2-1
- Initial packaging
